package com.acme.exception; 

import java.io.*;


/**
 * Defines the exception thrown if an error occurs in the Service.
 * @version 1.0 4 May 2004
 * @author Selvan V Rajan
 */
public class AcmeException extends Exception implements Serializable
{

  /**
   * Constructs a new exception with no detail message.
   */
  public AcmeException()
  {
    super();
  }

  /**
   * Constructs a new exception with the specified detail message.
   * @param message The detail message.
   */
  public AcmeException(String message)
  {
    super(message);
  }

  /**
   * Constructs a new exception with the specified detail message and cause.
   * @param message The detail message.
   * @param cause The cause.
   */
  public AcmeException(String message, Throwable cause)
  {
    super(message, cause);
  }

  /**
   * Constructs a new exception with the specified cause.
   * @param cause The cause.
   */
  public AcmeException(Throwable cause)
  {
    super(cause);
  }

}
 
